Intereting Posts
Невозможно использовать общие предпочтения в классе, который расширяет представление Android Silent Push Кнопка создания материала с длинным нажатием кнопки позволяет вставить в ярлык кнопки Стиль ActionCompat Actionbar Невозможно создать базу данных Android SQLite: ошибка PRAGMA Ошибка ввода-вывода во время системного вызова, сброс соединения с помощью одноранговой сети Android Studio «Добавить как библиотеку» отсутствует для Universal Tween Engine на Libgdx Как я могу получить меню опций моей активности? Почему API-интерфейс Bluetooth для Bluetooth скрыт? TextView с использованием Spannable – эллипсис не работает Неудачная попытка получить созданную Alraedy Surface и получение EGLNativeWindowType, уже подключенного к другой ошибке API Как обращаться с Touch вне представления в Android? Установите всплывающее меню в полноэкранном режиме Как установить текст внутри TextView в две строки? Как выбрать элемент ListView после длительного клика?

Ошибка задачи «Недостаток» в проекте студии Android

Мой проект успешно работал. Но внезапно я получаю следующую ошибку после завершения сборки.

Может ли кто-нибудь сказать мне, что здесь происходит? Я не знаю об этой ошибке. Как мне это исправить?

Error:A problem occurred configuring project ':app'. > Could not resolve all dependencies for configuration ':app:_debugCompile'. > Could not find com.android.support:cardview-v7:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom https://jcenter.bintray.com/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar Required by: FinderMaterial:app:unspecified > Could not find com.android.support:support-v4:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar Required by: FinderMaterial:app:unspecified > com.facebook.android:facebook-android-sdk:4.11.0 > Could not find com.android.support:cardview-v7:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom https://jcenter.bintray.com/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/cardview-v7/23.2.1/cardview-v7-23.2.1.jar Required by: FinderMaterial:app:unspecified > com.facebook.android:facebook-android-sdk:4.11.0 > Could not find com.android.support:customtabs:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/customtabs/23.2.1/customtabs-23.2.1.pom https://jcenter.bintray.com/com/android/support/customtabs/23.2.1/customtabs-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/customtabs/23.2.1/customtabs-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/customtabs/23.2.1/customtabs-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/customtabs/23.2.1/customtabs-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/customtabs/23.2.1/customtabs-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/customtabs/23.2.1/customtabs-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/customtabs/23.2.1/customtabs-23.2.1.jar Required by: FinderMaterial:app:unspecified > com.facebook.android:facebook-android-sdk:4.11.0 > Could not find com.android.support:support-v4:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar Required by: FinderMaterial:app:unspecified > com.android.support:recyclerview-v7:23.2.0 FinderMaterial:app:unspecified > com.android.support:design:23.2.0 FinderMaterial:app:unspecified > com.android.support:appcompat-v7:23.2.0 FinderMaterial:app:unspecified > com.android.support:appcompat-v7:23.2.0 > com.android.support:support-vector-drawable:23.2.0 > Could not find com.android.support:support-v4:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar Required by: FinderMaterial:app:unspecified > com.flipboard:bottomsheet-core:1.5.0 FinderMaterial:app:unspecified > com.flipboard:bottomsheet-commons:1.5.0 FinderMaterial:app:unspecified > com.github.citux:datetimepicker:0.2.0 > com.android.support:support-v13:23.1.1 > Could not find com.android.support:support-v4:23.2.1. Searched in the following locations: https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://jcenter.bintray.com/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom https://repo1.maven.org/maven2/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.pom file:/opt/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/23.2.1/support-v4-23.2.1.jar Required by: FinderMaterial:app:unspecified > com.google.android.gms:play-services:8.4.0 > com.google.android.gms:play-services-basement:8.4.0 

Заранее спасибо.

Вам следует обновить свой репозиторий Android:

  1. Открыть диспетчер SDK
  2. Репозиторий поддержки Android
  3. Установка пакетов

Введите описание изображения здесь

В Android Studio 2.0 вы можете найти это в:

Инструменты -> Параметр меню Android -SDK Manager .

После открытия диалога откройте « Появление и поведение»> «Настройки системы»> «Android SDK» , а затем выберите вторую вкладку « Инструменты SDK» .

Если вы хотите исправить это из командной строки (возможно, для сервера автоматической сборки, например, моего случая):

echo y | android update sdk --no-ui --filter extra-android-m2repository --force --all